MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028065Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-11-07 19:582016-12-09 16:39
Reportermsv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028065: [Regression to 7.0] The method HLRAppli_ReflectLines::GetResult must be const
DescriptionThe method HLRAppli_ReflectLines::GetResult must be const, but it is declared as non-const. Recently added method GetCompoundOf3dEdges must be declared const as well.
Steps To ReproduceNot needed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0059954)
git (administrator)
2016-11-07 20:07

Branch CR28065 has been created by msv.

SHA-1: 342402887947bbdae70ddfde581b91719224f237


Detailed log of new commits:

Author: msv
Date: Mon Nov 7 20:05:58 2016 +0300

    0028065: [Regression to 7.0] The method HLRAppli_ReflectLines::GetResult must be const
(0059955)
msv (developer)
2016-11-07 20:08

Dear Julia, please review the branch CR28065.
(0060001)
jgv (developer)
2016-11-08 13:15

Ok.
(0060005)
abv (manager)
2016-11-08 13:54

Testing is not necessary, just check compilation
(0060091)
apv (tester)
2016-11-09 12:01

Tested in scope of CR0-IR-2016-11-08
(0061274)
git (administrator)
2016-12-07 11:31

Branch CR28065 has been deleted by kgv.

SHA-1: 342402887947bbdae70ddfde581b91719224f237

- Related Changesets
occt: master e7b01db7
Timestamp: 2016-11-07 17:05:58
Author: msv
Committer: apn
Details ] Diff ]
0028065: [Regression to 7.0] The method HLRAppli_ReflectLines::GetResult must be const
mod - src/HLRAppli/HLRAppli_ReflectLines.cxx Diff ] File ]
mod - src/HLRAppli/HLRAppli_ReflectLines.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-07 19:58 msv New Issue
2016-11-07 19:58 msv Assigned To => msv
2016-11-07 20:07 git Note Added: 0059954
2016-11-07 20:07 msv Status new => assigned
2016-11-07 20:08 msv Note Added: 0059955
2016-11-07 20:08 msv Assigned To msv => jgv
2016-11-07 20:08 msv Status assigned => resolved
2016-11-07 20:08 msv Steps to Reproduce Updated View Revisions
2016-11-08 13:15 jgv Note Added: 0060001
2016-11-08 13:15 jgv Assigned To jgv => bugmaster
2016-11-08 13:15 jgv Status resolved => reviewed
2016-11-08 13:54 abv Note Added: 0060005
2016-11-09 12:01 apv Test case number => Not needed
2016-11-09 12:01 apv Note Added: 0060091
2016-11-09 12:01 apv Status reviewed => tested
2016-11-09 17:43 apn Changeset attached => occt master e7b01db7
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061274
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker